Skip to main content
POST
/
api
/
external
/
v2
/
delivery-profiles
/
create-shipping-profile
Create a new shipping/delivery profile
curl --request POST \
  --url https://subscription-admin.appstle.com/api/external/v2/delivery-profiles/create-shipping-profile \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "id": 123,
  "deliveryMethodInfo": [
    {
      "amount": 123,
      "carrierServiceId": "<string>",
      "name": "<string>",
      "carrierRate": true,
      "deliveryConditionType": "<string>",
      "priceConditions": [
        {
          "amount": 123,
          "deliverCondtion": "<string>"
        }
      ],
      "weightConditions": [
        {
          "deliveryCondition": "<string>",
          "weight": 123,
          "weightUnit": "<string>"
        }
      ]
    }
  ],
  "countryInfos": [
    {
      "code": "<string>",
      "restOfWorld": true,
      "provinceCode": "<string>",
      "shouldIncludeAllProvince": true
    }
  ],
  "locationInfos": [
    {
      "locationId": "<string>",
      "countryInfos": [
        {
          "shouldIncludeAllProvince": true,
          "code": "<string>",
          "deliveryMethodInfo": [
            {
              "amount": 123,
              "carrierServiceId": "<string>",
              "name": "<string>",
              "carrierRate": true,
              "deliveryConditionType": "<string>",
              "priceConditions": [
                {
                  "amount": 123,
                  "deliverCondtion": "<string>"
                }
              ],
              "weightConditions": [
                {
                  "deliveryCondition": "<string>",
                  "weight": 123,
                  "weightUnit": "<string>"
                }
              ]
            }
          ],
          "restOfWorld": true,
          "provinceCode": "<string>"
        }
      ]
    }
  ],
  "restOfWorld": true
}
'
{
  "id": "12345",
  "shop": "example-shop.myshopify.com",
  "name": "Standard Subscription Shipping",
  "shopifyDeliveryProfileId": "gid://shopify/DeliveryProfile/67890",
  "default": false,
  "locationGroupsCount": 1,
  "productsCount": 15,
  "profileLocationGroups": [
    {
      "locationGroupId": "gid://shopify/DeliveryLocationGroup/11111",
      "countries": [
        {
          "code": "US",
          "name": "United States",
          "provinces": []
        },
        {
          "code": "CA",
          "name": "Canada",
          "provinces": []
        }
      ],
      "zones": [
        {
          "methodDefinitions": [
            {
              "name": "Standard Shipping",
              "rateDefinition": {
                "price": {
                  "amount": "5.99",
                  "currencyCode": "USD"
                }
              }
            }
          ]
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Query Parameters

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

Body

application/json

Shipping Profile Request View Model

name
string
id
integer<int64>
deliveryMethodInfo
object[]
countryInfos
object[]
locationInfos
object[]
restOfWorld
boolean

Response

Delivery profile created successfully

shop
string
required
deliveryProfileId
string
required
id
integer<int64>
sellerGroupIds
string[]
name
string